<?php
/**
 * BuddyPress - Member page content loaded
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

	/**
	 * Fires after the display of member home content.
	 */
	do_action( 'bp_after_member_home_content' );
	?>

	<div id="item-body">

		<?php

		/**
		 * Fires before the display of member body content.
		 */
		do_action( 'bp_before_member_body' );

		if ( function_exists( 'bp_is_user_front' ) && bp_is_user_front() ) :
			bp_displayed_user_front_template_part();

		elseif ( bp_is_user_activity() || ! bp_current_component() ) :
			bp_get_template_part( 'members/single/activity' );

		elseif ( bp_is_user_blogs() ) :
			bp_get_template_part( 'members/single/blogs' );

		elseif ( bp_is_user_friends() ) :
			bp_get_template_part( 'members/single/friends' );

		elseif ( bp_is_user_groups() ) :
			bp_get_template_part( 'members/single/groups' );

		elseif ( bp_is_user_messages() ) :
			bp_get_template_part( 'members/single/messages' );

		elseif ( bp_is_user_profile() ) :
			bp_get_template_part( 'members/single/profile' );

		elseif ( bp_is_user_notifications() ) :
			bp_get_template_part( 'members/single/notifications' );

		elseif ( bp_is_user_settings() ) :
			bp_get_template_part( 'members/single/settings' );

		// If nothing sticks, load a generic template.
		else :
			bp_get_template_part( 'members/single/plugins' );

		endif;

		/**
		 * Fires after the display of member body content.
		 */
		do_action( 'bp_after_member_body' );
		?>

	</div><!-- #item-body -->

	<?php

	/**
	 * Fires after the display of member home content.
	 */
	do_action( 'bp_after_member_home_content' );
