<?php
/**
 * Activity hooks.
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Filter Activity loop args
 * Change the number of activity items shown per page
 *
 * @param array $args args.
 *
 * @return array
 */
function cb_modify_activity_loop_args( $args ) {

	// Let us not filter args in admin.
	if ( is_admin() && ! defined( 'DOING_AJAX' ) ) {
		return $args;
	}

	$args['per_page'] = cb_get_option( 'bp-activities-per-page' );

	return $args;
}

add_filter( 'bp_after_has_activities_parse_args', 'cb_modify_activity_loop_args' );
