<?php
/**
 * MediaPress directory nav
 *
 * @package    Community_Builder
 * @subpackage BuddyPress
 * @copyright  Copyright (c) 2019, Brajesh Singh
 * @license    https://www.gnu.org/licenses/gpl.html GNU Public License
 * @author     Brajesh Singh
 */

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Fires before the display of the members list tabs.
 */
do_action( 'bp_before_directory_mpp_tabs' );
?>
	<div class="<?php cb_bp_dir_item_nav_css_class( array( 'component' => 'mpp', 'type' => 'primary' ) ); ?>" data-object="mpp">

		<div class="<?php cb_bp_dir_item_tabs_css_class( array( 'component' => 'mpp', 'type' => 'primary' ) ); ?>" role="navigation">
			<?php mpp_get_template_part( 'buddypress/directory/nav-tabs' ); ?>
		</div><!-- .item-list-tabs -->

		<div class="bp-nav-filters bp-dir-nav-filters bp-mpp-dir-nav-filters">
			<?php mpp_get_template_part( 'buddypress/directory/filters' ); ?>
		</div>
	</div><!-- end  .bp-nav -->
<?php

/**
 * Fires before the display of the members list tabs.
 */
do_action( 'bp_after_directory_mpp_tabs' );
